Support » Plugin: NinjaFirewall (WP Edition) - Advanced Security Plugin and Firewall » Updates to php8 and Nginx breaks plugin

  • Resolved Giulio Alfonso

    (@senjoralfonso)


    I have updated to php8 and Nginx, when I click on settings of ninja firewall I get an error 500. and that’s it.

Viewing 2 replies - 1 through 2 (of 2 total)
  • Plugin Author nintechnet

    (@nintechnet)

    Maybe you forgot to install or activate a PHP extension when you upgraded to version 8?

    Put your WordPress blog in debugging mode:
    1. Edit your wp-config.php
    2. Search for:
    define('WP_DEBUG', false);
    3. Replace with:
    define('WP_DEBUG', true);
    4. Add this line below:
    define( 'WP_DEBUG_LOG', true );

    Then, access NinjaFirewall’s settings and when you get the 500 error, check the PHP error log located in “/wp-content/debug.log”.

    Thread Starter Giulio Alfonso

    (@senjoralfonso)

    The problem occurs because the folder nfwlog has to be removed by hand after switching php version.

Viewing 2 replies - 1 through 2 (of 2 total)
  • You must be logged in to reply to this topic.